--- old/usr/src/uts/intel/elfexec/Makefile	Wed Oct  5 00:34:01 2016
+++ new/usr/src/uts/intel/elfexec/Makefile	Wed Oct  5 00:34:01 2016
@@ -105,15 +105,12 @@
 
 $(OBJS_DIR)/elf32.o:	$(UTSBASE)/common/exec/elf/elf.c
 	$(COMPILE.c) -o $@ -D_ELF32_COMPAT $(UTSBASE)/common/exec/elf/elf.c
-	$(CTFCONVERT_O)
 
 $(OBJS_DIR)/elf32_notes.o: $(UTSBASE)/common/exec/elf/elf_notes.c
 	$(COMPILE.c) -o $@ -D_ELF32_COMPAT $(UTSBASE)/common/exec/elf/elf_notes.c
-	$(CTFCONVERT_O)
 
 $(OBJS_DIR)/old32_notes.o: $(UTSBASE)/common/exec/elf/old_notes.c
 	$(COMPILE.c) -o $@ -D_ELF32_COMPAT $(UTSBASE)/common/exec/elf/old_notes.c
-	$(CTFCONVERT_O)
 
 $(LINTS_DIR)/elf32.ln:	$(UTSBASE)/common/exec/elf/elf.c
 	@($(LHEAD) $(LINT.c) -Celf32 -D_ELF32_COMPAT $(UTSBASE)/common/exec/elf/elf.c $(LTAIL))
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
--- old/usr/src/uts/intel/lx_brand/Makefile	Wed Oct  5 00:34:02 2016
+++ new/usr/src/uts/intel/lx_brand/Makefile	Wed Oct  5 00:34:02 2016
@@ -77,6 +77,7 @@
 #
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
+LINTTAGS	+= -erroff=E_TRUE_LOGICAL_EXPR
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/lx_brand/Makefile.rules	Wed Oct  5 00:34:02 2016
+++ new/usr/src/uts/intel/lx_brand/Makefile.rules	Wed Oct  5 00:34:02 2016
@@ -93,6 +93,9 @@
 $(LINTS_DIR)/%.ln:		$(LX_CMN)/%.c
 	@($(LHEAD) $(LINT.c) $< $(LTAIL))
 
+$(LINTS_DIR)/%.ln:		$(UTSBASE)/intel/brand/lx/%.c
+	@($(LHEAD) $(LINT.c) $< $(LTAIL))
+
 $(LINTS_DIR)/%.ln:		$(UTSBASE)/intel/brand/lx/%.s
 	@($(LHEAD) $(LINT.s) $< $(LTAIL))
 
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
--- old/usr/src/uts/intel/sys/ucontext.h	Wed Oct  5 00:34:04 2016
+++ new/usr/src/uts/intel/sys/ucontext.h	Wed Oct  5 00:34:04 2016
@@ -20,9 +20,8 @@
  */
 
 /*
- * Copyright 2015 Joyent, Inc.
  * Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
- *
+ * Copyright 2015 Joyent, Inc.
  * Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
No differences encountered
No differences encountered
--- old/usr/src/uts/sparc/Makefile.sparc	Wed Oct  5 00:34:04 2016
+++ new/usr/src/uts/sparc/Makefile.sparc	Wed Oct  5 00:34:04 2016
@@ -219,7 +219,7 @@
 DRV_KMODS	+= pseudo ptc ptm pts ptsl ramdisk random rsm rts sad
 DRV_KMODS	+= simnet softmac sppp sppptun sy sysevent sysmsg 
 DRV_KMODS	+= spdsock
-DRV_KMODS	+= tcp tcp6 timerfd tl tnf ttymux udp udp6 wc winlock zcons zfd
+DRV_KMODS	+= tcp tcp6 timerfd tl tnf ttymux udp udp6 wc winlock zcons zfs
 DRV_KMODS	+= ippctl
 DRV_KMODS	+= dld
 DRV_KMODS	+= ipd
@@ -239,10 +239,9 @@
 DRV_KMODS	+= bridge trill
 DRV_KMODS	+= bpf
 DRV_KMODS	+= dca
-DRV_KMODS	+= inotify
 DRV_KMODS	+= eventfd
 DRV_KMODS	+= signalfd
-DRV_KMODS	+= timerfd
+DRV_KMODS	+= inotify
 
 #
 #       Hardware Drivers in common space
@@ -496,6 +495,7 @@
 SOCKET_KMODS	+= socksdp
 SOCKET_KMODS	+= sockrds
 SOCKET_KMODS	+= ksslf
+SOCKET_KMODS	+= httpfilt
 SOCKET_KMODS	+= datafilt
 
 #
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
